INodeDirectoryAttributes.CopyWithQuota (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, interface: INodeDirectoryAttributes, class: CopyWithQuota

Package org.apache.hadoop.hdfs.server.namenode

# Class INodeDirectoryAttributes.CopyWithQuota

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy
org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.SnapshotCopy
org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.CopyWithQuota

All Implemented Interfaces:
  `INodeAttributes`, `INodeDirectoryAttributes`

Enclosing interface:
  INodeDirectoryAttributes

public static class INodeDirectoryAttributes.CopyWithQuota extends INodeDirectoryAttributes.SnapshotCopy

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `INodeAttributes.SnapshotCopy`

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes

  `INodeDirectoryAttributes.CopyWithQuota, INodeDirectoryAttributes.SnapshotCopy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CopyWithQuota(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, AclFeature aclFeature, long modificationTime, long nsQuota, long dsQuota, EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas, XAttrFeature xAttrsFeature)`
  `CopyWithQuota(INodeDirectory dir)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotaCounts`
  `getQuotaCounts()`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.SnapshotCopy

  `isDirectory, metadataEquals`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

  `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

- ## Constructor Details

  - ### CopyWithQuota

    public CopyWithQuota(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, AclFeature aclFeature, long modificationTime, long nsQuota, long dsQuota, EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas, XAttrFeature xAttrsFeature)

  - ### CopyWithQuota

    public CopyWithQuota(INodeDirectory dir)

- ## Method Details

  - ### getQuotaCounts

    public QuotaCounts getQuotaCounts()
    Specified by:
      `getQuotaCounts` in interface `INodeDirectoryAttributes`
    Overrides:
      `getQuotaCounts` in class `INodeDirectoryAttributes.SnapshotCopy`